<id>
IM Notification default value switch
</id>

<version>
1.0
</version>

<mod info>
This mod adds a checkbox in the admin-control-panel to choose whether the IM Notification should be set to 'on' by default
when new users register.
So new users have to set this setting to 'off' in the IM Preferences if they do not want e-mail
notifications when there is a new IM in their inbox.

Do not forget to hit the checkbox in the admin panel (below "Send welcome e-mail to users...") to activate this mod!
This mod will NOT affect any old accounts!

(Mod tested with YaBB 1 Gold SP1.3.1)
</mod info>

<author>
|_TRoN_|
</author>

<homepage>
http://www.digital-joker.de/forum
</homepage>

<edit file>
Sources/Register.pl
</edit file>

<search for>
	if ($FORM{'hideemail'} ne "checked") { $FORM{'hideemail'} = ""; }
	print FILE "$FORM{'hideemail'}\n";
	fclose(FILE);
</search for>

<add after>
# IM Notify by default when register! by |_TRoN_| - START
	if ($imnotifydefault) {
	fopen(FILE, ">$memberdir/$member{'username'}.imconfig");
	print FILE "\n1\n";
	fclose(FILE);
	}
# IM Notify default when register! by |_TRoN_| - END
</add after>

<edit file>
Sources/AdminEdit.pl
</edit file>

<search for>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'619'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="emailwelcome"$welchecked></td>
  </tr><tr>
</search for>

<add after>
<! IM Notify by default when register! by |_TRoN_| - START>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$imtxt{'1'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="imnotifydefault" value="1"$imnotifydefchecked></td>
  </tr><tr>
<! IM Notify by default when register! by |_TRoN_| - END>
</add after>

<search for>
	my($snfchecked, $fls1, $fls2, $fls3, $utfchecked, $truncchecked, $mts1, $mts2, $mts3, $tsl6, $tsl5, $tsl4, $tsl3, $tsl2, $tsl1);
</search for>

<add after>
	my($imnotifydefchecked); # IM Notify by default when register! by |_TRoN_|
</add after>

<search for>
	if ($maintenance) { $mainchecked = ' checked'; }
</search for>

<add before>
	if ($imnotifydefault) { $imnotifydefchecked = ' checked'; } # IM Notify by default when register! by |_TRoN_|
</add before>

<search for>
\$emailwelcome = $emailwelcome;				# Set to 1 to email a welcome message to users even when you have mail password turned off
</search for>

<add after>
\$imnotifydefault = $imnotifydefault;			# Set to 1 to set IM Notification for new registered users to 'on' by default (mod by |_TRoN_|)
</add after>

<search for>
	$color{'fadertext'} = $FORM{'fadertext'} || '#D4AD00';
</search for>

<add after>
	$imnotifydefault = $FORM{'imnotifydefault'} || 0; # IM Notify by default when register! by |_TRoN_|
</add after>

<edit file>
english.lng
</edit file>

<search for>
$txt{'100'} = "The username you tried to register already exists.";
</search for>

<add after>
$imtxt{'1'} = "IM Notification for new registered Users set to 'on' by default?";
</add after>